interface Iapi {
    login(opts: {
        code: string;
        password: string;
    }, hasCatchError: boolean): Promise<any>;
    checkDept(opts: {
        deptId: string;
        functionId: string;
    }, hasCatchError: boolean): Promise<any>;
    getUserInfoByToken(opts: {
        token: string;
    }, hasCatchError: boolean): Promise<any>;
    getUserDeptList(opts: {
        userId: string;
        organizationId: string;
    }, hasCatchError: boolean): Promise<any>;
    setPassWord(opts: {
        userId: string;
        password: string;
        newPassword: string;
    }, hasCatchError: boolean): Promise<any>;
    getAuthDeptList(opts: {
        userId: string;
        targetAppId: string;
    }, hasCatchError: boolean): Promise<any>;
    getUserSpecRightList(opts: {
        userId: string;
    }, hasCatchError: boolean): Promise<any>;
    caLogin(opts: {
        code: string;
        caId: string;
    }, hasCatchError: boolean): Promise<any>;
    getApplist(opts: {
        applicationId?: string;
        firmId?: string;
    }, hasCatchError: boolean): Promise<any>;
    registerSpecRight(opts: {
        id: string;
        Name: string;
        categoryId: string;
        remark?: string;
        registerUserId: string;
        registerUserName: string;
    }, hasCatchError: boolean): Promise<any>;
    registerAppMenu(opts: {
        appModules: Array<{
            id: string;
            name: string;
            parentId?: string;
            title: string;
            path?: string;
            component?: string;
            icon?: string;
            registerUserId: string;
            registerUserName: string;
            sceneId: string;
            describe?: string;
            remark?: string;
        }>;
        initFlag?: number;
    }, hasCatchError: boolean): Promise<any>;
    registerAppMenuOper(opts: {
        opers: Array<{
            moduleId: string;
            id: string;
            name: string;
            path?: string;
            remark?: string;
            registerUserId: string;
            registerUserName: string;
            sceneId: string;
            describe?: string;
        }>;
        initFlag?: number;
    }, hasCatchError: boolean): Promise<any>;
    getAppMenuList(opts: {
        userId: string;
    }, hasCatchError: boolean): Promise<any>;
    getAppMenuOperList(opts: {
        userId: string;
        moduleId: string;
    }, hasCatchError: boolean): Promise<any>;
    getAppUserRightList(opts: {
        userId: string;
    }, hasCatchError: boolean): Promise<any>;
    setVisitRecord(opts: {
        userId: string;
        moduleId: string;
        clientCode?: string;
    }, hasCatchError: boolean): Promise<any>;
    getVisitRecordList(opts: {
        userId: string;
        sortOrder?: string;
    }, hasCatchError: boolean): Promise<any>;
    getCommonMenuList(opts: {
        userId: string;
    }, hasCatchError: boolean): Promise<any>;
    registerCommonMenu(opts: {
        userId: string;
        moduleId: string;
    }, hasCatchError: boolean): Promise<any>;
    registerCommonMenuCancel(opts: {
        userId: string;
        moduleId: string;
    }, hasCatchError: boolean): Promise<any>;
    sortCommonMenu(opts: {
        userId: string;
        moduleOrder: [{
            orderNo: 'Number';
            moduleId: string;
        }];
    }, hasCatchError: boolean): Promise<any>;
    getOrgList(opts: {
        id: string;
        name: string;
        orgLevelCode: string;
        orgLevelName: string;
        code: string;
        address: string;
        telephone: string;
        major: Number;
        spellCode?: string;
        orderNo: string;
        strokeCode?: string;
        remark?: string;
    }, hasCatchError: boolean): Promise<any>;
    getInfoByDept(opts: {
        deptId: string;
    }, hasCatchError: boolean): Promise<any>;
    checkOrgSame(opts: {
        deptId1: string;
        deptId2: string;
    }, hasCatchError: boolean): Promise<any>;
    checkNurseUnitLeader(opts: {
        nursingUnitId: string;
        userId: string;
    }, hasCatchError: boolean): Promise<any>;
    checkDeptLeader(opts: {
        userId: string;
        deptId: string;
    }, hasCatchError: boolean): Promise<any>;
    getSerialNum(opts: {
        applicationId: string;
        serialId: string;
        subId?: string;
        obtainUserId: string;
        obtainUserName: string;
    }, hasCatchError: boolean): Promise<any>;
    registerSerialNum(opts: {
        applicationId: string;
        serialId: string;
        serialName: string;
        description?: string;
        subId?: string;
        prefix?: string;
        format: string;
        numberLen: string;
        remark?: string;
        registerUserId: string;
        registerUserName: string;
    }, hasCatchError: boolean): Promise<any>;
    getDictDataPage(opts: {
        dictId: 'MODULE_CATEGORY';
        pageSize: 1000;
        currentPage: 1;
    }, hasCatchError: boolean): Promise<any>;
    getAppMenuCateList(opts: {
        categoryId?: string;
        appId?: string;
    }, hasCatchError: boolean): Promise<any>;
    getAppDictDataPage(opts: {
        appDictId: string;
        current: number;
    }, hasCatchError: boolean): Promise<any>;
    getAppParamList(opts: {
        paramId: string;
        subId?: string;
    }, hasCatchError: boolean): Promise<any>;
    getSystemParamList(opts: {
        moduleId: string;
    }, hasCatchError: boolean): Promise<any>;
    getSystemParamValue(opts: {
        paramId: string;
        subId?: string;
        moduleId: string;
    }, hasCatchError: boolean): Promise<any>;
    setSystemParam(opts: {
        paramId: string;
        paramName: string;
        paramDefaultValue?: string;
        paramValueList?: string;
        paramDesc?: string;
        remark?: string;
        moduleId: string;
        settingUserId: string;
        settingUserName: string;
    }, hasCatchError: boolean): Promise<any>;
    getLocalParamList(opts: {
        clientId: string;
        moduleId: string;
    }, hasCatchError: boolean): Promise<any>;
    getLocalParamValue(opts: {
        paramId: string;
        clientId: string;
        moduleId: string;
    }, hasCatchError: boolean): Promise<any>;
    setLocalParam(opts: {
        paramId: string;
        paramName: string;
        paramDefaultValue?: string;
        paramValueList?: string;
        paramDesc?: string;
        remark?: string;
        moduleId: string;
        settingUserId: string;
        settingUserName: string;
        version: string;
    }, hasCatchError: boolean): Promise<any>;
    setLocalParamValue(opts: {
        paramId: string;
        clientId?: string;
        paramValue: string;
        remark?: string;
        settingUserId: string;
        settingUserName: string;
    }, hasCatchError: boolean): Promise<any>;
    getSystemParamValueList(opts: {
        paramId: string;
    }, hasCatchError: boolean): Promise<any>;
    checkClient(opts: {
        id?: string;
        macAddress?: string;
        ipAddr?: string;
    }, hasCatchError: boolean): Promise<any>;
    registerClient(opts: {
        id: string;
        name: string;
        orgId: string;
        ipAddr: string;
        hostName: string;
        macAddress: string;
        clientInfo?: string;
        remark?: string;
        registerUserCode: string;
        registerUserName: string;
        registerUserPassword: string;
    }, hasCatchError: boolean): Promise<any>;
    getClientInfo(opts: {
        id: string;
    }, hasCatchError: boolean): Promise<any>;
    getDataValidRuleList(opts: {
        id: string;
        name: string;
        oraclePattern?: string;
        netPattern?: string;
        javaPatten?: string;
        jsPatten?: string;
        vuePatten?: string;
        ruleDesc?: string;
        remark?: string;
    }, hasCatchError: boolean): Promise<any>;
    getUniqueKey(opts: any, hasCatchError: boolean): Promise<any>;
    packageRegister(opts: any, hasCatchError: boolean): Promise<any>;
    getDeptListByOrg(opts: {
        orgId: string;
    }, hasCatchError: boolean): Promise<any>;
    getOrgBuildingList(opts: {
        orgId: string;
    }, hasCatchError: boolean): Promise<any>;
    getOrgUserList(opts: {
        orgId?: string;
        deptId?: string;
        flag?: '' | null | 1 | 2 | 3;
        sceneId?: string;
    }, hasCatchError: boolean): Promise<any>;
    getDictList(opts: {
        enabled?: number;
        id?: string;
        name?: string;
        spellCode?: string;
        strokeCode?: string;
        tableName: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取住院患者年龄
     * @param opts
     * algorithmFlag（必传） 计算方式标志 0：挂号日期为当前时间 1：挂号日期为入院时间or入区时间；出院时间or出区时间
     * birthDate （必传）出生日期 yyyy-MM-dd HH:mm:ss
     * flag（必传）：0：周岁 1：虚岁
     * registrationDate （必传）挂号日期 yyyy-MM-dd HH:mm:ss
     */
    getInpatientAge(opts: {
        algorithmFlag: number;
        birthDate: string;
        flag: number;
        registrationDate: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *获取门诊患者年龄
     * @param opts
     * showFlag（必传）显示标志： 0: 25月  1: 2岁1月
     * registrationDate（必传） 挂号日期  yyyy-MM-dd HH:mm:ss
     * flag（必传）：0：周岁 1：虚岁
     * birthDate（必传） 出生日期 yyyy-MM-dd HH:mm:ss
     */
    getOutpatientAge(opts: {
        showFlag: number;
        birthDate: string;
        flag: number;
        registrationDate: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *根据工号获取用户信息
     * @param opts
     * code（必传）工号
     */
    getUserByCode(opts: {
        code: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *根据全部用户信息
     * @param opts
     * orgId （非必传）机构
     * sectionId （非必传）部门编码
     *  keyword （非必传）关键字
     */
    getUserList(opts: {
        orgId?: string;
        sectionId?: string;
        keyword?: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *获取用户权限科室-病区
     * @param opts
     * orgId （非必传）机构
     */
    getUserDeptWardList(opts: {
        orgId?: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *验证用户密码
     * @param opts
     * code （必传）用户账号
     * password（必传）用户密码
     */
    userVerifyPassword(opts: {
        code: string;
        password: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *获取注册的医生、护士
     * @param opts
     * orgId （非必传）机构
     * userFlag（非必传）1医生 2护士
     * deptId（非必传）科室id
     */
    getUserRegisterList(opts: {
        orgId?: string;
        userFlag?: 1 | 2;
        deptId: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *获取用户权限机构列表
     * @param opts
     * userId 用户id
     */
    getUserAuthOrgList(opts: {
        userId: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     *获取急诊科室
     * @param opts
     * orgId 机构编码
     */
    getErDeptList(opts: {
        orgId: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取医生病区
     * @param opts
     * orgId 机构编码
     * deptId 科室编码
     * userId 用户编码
     */
    getDoctorWard(opts: {
        orgId?: string;
        deptId?: string;
        userId: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取科室主任
     * @param opts
     * deptId 科室编码
     */
    getDeptDirector(opts: {
        deptId: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取诊区
     * @param opts
     * appId 应用编码
     */
    listConsultingArea(opts: {
        appId?: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取诊室
     * @param opts
     * appId 应用编码
     */
    listConsultingRoom(opts: {
        appId?: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取科室科目配置信息
     * @param opts
     * appId 应用编码
     */
    listDeptSubject(opts: {
        appId?: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取班次配置
     * @param opts
     * appId 应用编码
     */
    listDuration(opts: {
        appId?: string;
    }, hasCatchError: boolean): Promise<any>;
    /**
     * 获取标准号类信息
     * @param opts
     * appId 应用编码
     */
    listStdRegisterType(opts: {
        appId?: string;
    }, hasCatchError: boolean): Promise<any>;
}
export default Iapi;
